Bug 989014 - Review Request: jdf-stacks-client - JBoss Stacks Parser
Review Request: jdf-stacks-client - JBoss Stacks Parser
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: gil cattaneo
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 989106
  Show dependency treegraph
 
Reported: 2013-07-26 17:56 EDT by Gerard Ryan
Modified: 2013-08-06 19:32 EDT (History)
3 users (show)

See Also:
Fixed In Version: jdf-stacks-client-1.0.1-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-06 19:32:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
puntogil: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Gerard Ryan 2013-07-26 17:56:38 EDT
Spec URL: http://galileo.fedorapeople.org/jdf-stacks-client/1.0.1-1/jdf-stacks-client.spec
SRPM URL: http://galileo.fedorapeople.org/jdf-stacks-client/1.0.1-1/jdf-stacks-client-1.0.1-1.fc19.src.rpm
Description:
This project contains a full stacks client with parser capabilities
and other features like download, proxy and local cache.

Fedora Account System Username: galileo

This is a dependency for JBoss Tools.

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5661794
Comment 1 gil cattaneo 2013-07-27 12:07:35 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in jdf-stacks-
     client-javadoc
[x]: Package complies to the Packaging Guidelines
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2.1 or later)", "Unknown or generated". 3 files have unknown
     license.
[!]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Fully versioned dependency in subpackages, if present.
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: If tests are skipped during package build explain why it was needed in a
     comment
     Note: Tests seem to be skipped. Verify there is a commment giving a
     reason for this
[x]: Pom files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[!]: Latest version is packaged.
[!]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: jdf-stacks-client-1.0.1-1.fc20.noarch.rpm
          jdf-stacks-client-javadoc-1.0.1-1.fc20.noarch.rpm
jdf-stacks-client.noarch: W: spelling-error Summary(en_US) JBoss -> J Boss, Boss
jdf-stacks-client.noarch: W: invalid-url URL: http://www.jboss.org HTTP Error 403: Forbidden
jdf-stacks-client.noarch: W: no-documentation
jdf-stacks-client-javadoc.noarch: W: invalid-url URL: http://www.jboss.org HTTP Error 403: Forbidden
2 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint jdf-stacks-client-javadoc jdf-stacks-client
jdf-stacks-client-javadoc.noarch: W: invalid-url URL: http://www.jboss.org HTTP Error 403: Forbidden
jdf-stacks-client.noarch: W: spelling-error Summary(en_US) JBoss -> J Boss, Boss
jdf-stacks-client.noarch: W: invalid-url URL: http://www.jboss.org HTTP Error 403: Forbidden
jdf-stacks-client.noarch: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 4 warnings.
# echo 'rpmlint-done:'



Requires
--------
jdf-stacks-client-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

jdf-stacks-client (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    mvn(org.apache.httpcomponents:httpclient)
    mvn(org.jboss.logging:jboss-logging)
    mvn(org.yaml:snakeyaml)



Provides
--------
jdf-stacks-client-javadoc:
    jdf-stacks-client-javadoc

jdf-stacks-client:
    jdf-stacks-client
    mvn(org.jboss.jdf:stacks-client)



Source checksums
----------------
https://github.com/jboss-jdf/jdf-stacks-client/archive/35d75868aa98807b69ae72b9ab7ac8f85064861d/jdf-stacks-client-1.0.1-35d7586.tar.gz :
  CHECKSUM(SHA256) this package     : 37b0e60bfea5ca128006151612fbdcb2ceb9d8c1a0dd948aafbedcdeddee0f4b
  CHECKSUM(SHA256) upstream package : 37b0e60bfea5ca128006151612fbdcb2ceb9d8c1a0dd948aafbedcdeddee0f4b


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-i386
Command line :/usr/bin/fedora-review -b 989014 -m fedora-rawhide-i386

Problem(s):
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
please, can ask if upstream to include license text file?
[!]: Latest version is packaged.
https://github.com/jboss-jdf/jdf-stacks-client/archive/1.0.2.CR2.tar.gz 
is available, consider upgrading 
why dont use
https://github.com/jboss-jdf/jdf-stacks-client/archive/1.0.1.Final.tar.gz ?
regards
Comment 2 Gerard Ryan 2013-07-27 14:09:30 EDT
Thanks for the review! :)

(In reply to gil cattaneo from comment #1)
> Problem(s):
> [!]: If the source package does not include license text(s) as a separate
> file
>      from upstream, the packager SHOULD query upstream to include it.
> please, can ask if upstream to include license text file?

Done. I've created a PR on Github to include it: https://github.com/jboss-jdf/jdf-stacks-client/pull/5

> [!]: Latest version is packaged.
> https://github.com/jboss-jdf/jdf-stacks-client/archive/1.0.2.CR2.tar.gz 
> is available, consider upgrading 

I haven't packaged 1.0.2.CR2 because I think CR2 is probably considered a pre-release. Since I don't need anything specifically from the pre-release, I think having the latest 'Final'/stable is better for now. When 1.0.2.Final is released, I'll be sure to update to that :)

> why dont use
> https://github.com/jboss-jdf/jdf-stacks-client/archive/1.0.1.Final.tar.gz ?
> regards

I've done it this way because of the recommendations for using github tarballs as sources.

See: https://fedoraproject.org/wiki/Packaging:SourceURL#Github
Comment 3 Gerard Ryan 2013-07-27 14:12:47 EDT
New Package SCM Request
=======================
Package Name: jdf-stacks-client
Short Description: JBoss Stacks Parser
Owners: galileo
Branches: f19
InitialCC:
Comment 4 Dennis Gilmore 2013-07-27 14:35:52 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2013-07-27 15:27:01 EDT
jdf-stacks-client-1.0.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/jdf-stacks-client-1.0.1-1.fc19
Comment 6 Fedora Update System 2013-07-28 20:27:03 EDT
jdf-stacks-client-1.0.1-1.fc19 has been pushed to the Fedora 19 testing repository.
Comment 7 Fedora Update System 2013-08-06 19:32:18 EDT
jdf-stacks-client-1.0.1-1.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.